#include	<stdio.h>

typedef struct {
	unsigned char	c0;
	unsigned char	c1;
	unsigned char	c2;
	unsigned char	c3;
} UC4;

typedef union {
	UC4				c;
	unsigned long	lng;
} ULONG;

ULONG	ulong;

int main( int argc, char *argv[] )
{
	ulong.c.c0 = 0x01;
	ulong.c.c1 = 0x02;
	ulong.c.c2 = 0x04;
	ulong.c.c3 = 0x08;
	
	printf( "ulong.lng = 0x%08x\n", ulong.lng );
	
	printf( "\n" );
	ulong.lng = 0xfffefdfc;
	printf( "ulong.c.c3 = 0x%02x\n", ulong.c.c3 );
	printf( "ulong.c.c2 = 0x%02x\n", ulong.c.c2 );
	printf( "ulong.c.c1 = 0x%02x\n", ulong.c.c1 );
	printf( "ulong.c.c0 = 0x%02x\n", ulong.c.c0 );
}
